### Method

# GUPnP ServiceInfo get_id

#### Declaration [src]

    char*
    gupnp_service_info_get_id (
      GUPnPServiceInfo* info
    )

#### Description [src]

Get the ID of this service, or `NULL` if there is no ID.

#### Return value

Returns: | `char*`
| A string. This string should be freed with `g_free()` after use.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.